$VAR_ON$;
USE mysql;

-- User boss
/*!50002 CREATE USER $USER1$@'%' */;
GRANT SELECT,INSERT,UPDATE,DELETE,CREATE,DROP,RELOAD,PROCESS,REFERENCES,INDEX,ALTER,CREATE VIEW,SHOW VIEW,CREATE TEMPORARY TABLES,LOCK TABLES,SUPER ON *.* TO $USER1$@'%' IDENTIFIED BY PASSWORD $PASSWORD1$ WITH GRANT OPTION;

-- User admin
/*!50002 CREATE USER $USER2$@'%' */;
GRANT RELOAD,PROCESS,SUPER ON *.* TO $USER2$@'%' IDENTIFIED BY PASSWORD $PASSWORD2$ WITH GRANT OPTION;
GRANT CREATE TEMPORARY TABLES,DELETE,INSERT,LOCK TABLES,SELECT,UPDATE ON mysql.* TO $USER2$;
GRANT CREATE TEMPORARY TABLES,DELETE,INSERT,LOCK TABLES,SELECT,UPDATE ON mandanten.* TO $USER2$;
GRANT CREATE TEMPORARY TABLES,CREATE VIEW,DELETE,INSERT,LOCK TABLES,SELECT,SHOW VIEW,UPDATE ON `$DATABASE1$`.* TO $USER2$;

-- User user
/*!50002 CREATE USER $USER3$@'%' */;
GRANT USAGE ON *.* TO $USER3$@'%' IDENTIFIED BY PASSWORD $PASSWORD3$;
GRANT SELECT ON mandanten.* TO $USER3$;
GRANT CREATE TEMPORARY TABLES,CREATE VIEW,DELETE,INSERT,LOCK TABLES,SELECT,SHOW VIEW,UPDATE ON `$DATABASE1$`.* TO $USER3$;

FLUSH PRIVILEGES;

USE `$DATABASE1$`;

DELETE FROM `user`;

INSERT INTO anschrift (aStrasse, aOrt,LandID)VALUES("", "", 4);

INSERT INTO `user` (UserID,aUserNummer,aUsername,aName,aEMail,dateAngelegt,dateLtzAenderung,Rechte_UsrGrpMnd,Anschriftid)
VALUES(1,"1","boss","Boss","bugreport@zephir.net",CURRENT_DATE,CURRENT_DATE,0,last_insert_ID());

INSERT INTO anschrift (aStrasse, aOrt,LandID)VALUES("", "", 4);

INSERT INTO `user` (UserID,aUserNummer,aUsername,aName,aEMail,dateAngelegt,dateLtzAenderung,Rechte_UsrGrpMnd,Anschriftid)
VALUES(2,"2","admin","Administrator","bugreport@zephir.net",CURRENT_DATE,CURRENT_DATE,0,last_insert_ID());

INSERT INTO anschrift (aStrasse, aOrt,LandID)VALUES("", "", 4);

INSERT INTO `user` (UserID,aUserNummer,aUsername,aName,dateAngelegt,dateLtzAenderung,Rechte_UsrGrpMnd,Anschriftid)
VALUES(3,"3","user","Hauptbenutzer",CURRENT_DATE,CURRENT_DATE,135443,last_insert_ID());
$VAR_OFF$;

INSERT INTO userkonfig (UserID, DllLoader, eNeuPositionsTyp, bImmerletztenPositionsTyp, eNeuBelegTypEK, bImmerletztenBelegTypEK, eNeuBelegTypVK, bImmerletztenBelegTypVK, aFaxdrucker, LetztesFbFahrzeug, LetzteDokumentBewegung, cstm_aAllgText, cstm_aEmailSignatur, cstm_blobFarbsatz, cstm_protColor, cstm_ScrollbalkenFarbe, cstm_SpracheID, cstm_SuchIntervall, cstm_txtBgrdColor) VALUES
(1,NULL,1,1,-1073741822,1,-2147483646,1,'',-1,0,NULL,NULL,NULL,-657956,-7223041,1,1000,-2498594),
(2,NULL,1,1,-1073741822,1,-2147483646,1,'',-1,0,NULL,NULL,NULL,-657956,-7223041,1,1000,-2498594),
(3,NULL,1,1,-1073741822,1,-2147483646,1,'',-1,0,NULL,NULL,NULL,-657956,-7223041,1,1000,-2498594);
